<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:import href="extreme.html.xsl"/>
  <xsl:output method="xml" encoding="iso-8859-1"/>
  <xsl:template match="/">
    <html>
    <head>
      <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></meta>
      <meta name="ROBOTS" content="NOINDEX, NOFOLLOW"></meta>      
      <title>
        <xsl:value-of select="concat(paper/front/title,': Table of Contents')"/>
      </title>
      <base name="{concat($paperlabel, '-toc')}"/>
      <link rel="stylesheet" href="{concat($rootdir, '/extreme2002.css')}" type="text/css"/>
    </head>
    <body bgcolor="{$bgcolor}" link="{$linkcolor}" vlink="{$linkcolor}" alink="{$linkcolor}">
      <xsl:apply-templates/>
    </body>
  </html>
  </xsl:template>
  <xsl:template match="paper">
    <xsl:call-template name="masthead"/>
    <xsl:apply-templates select="front"/>
    <xsl:apply-templates select="body"/>
  </xsl:template>
  <xsl:template match="front">
    <xsl:apply-templates select="title|subt|author|abstract"/>
  </xsl:template>
  <xsl:template match="front/title">
    <a target="{$paperlabel}" href="{concat($paperlabel, '.html')}">
    <xsl:apply-imports/>
  </a>
  </xsl:template>
  <xsl:template match="abstract">
    <br class="br"/>
    <table border="1" width="100%" align="center" cellpadding="8" bgcolor="{$altbgcolor}">
  <tr><td>
    <h5><i>Abstract</i></h5>
    <xsl:apply-templates/>
  </td></tr></table>
  </xsl:template>
  <xsl:template match="body">
    <h4>
    <a target="{$paperlabel}" href="{concat($paperlabel, '.html')}">
      <xsl:apply-templates select="../front/title/node()"/>
    </a>
  </h4>
    <dl>
    <xsl:apply-templates select="section"/>
  </dl>
  </xsl:template>
  <xsl:template match="section|subsec1|subsec2|subsec3">
    <dt>
    <xsl:apply-templates select="title" mode="textonly"/>
  </dt>
    <xsl:if test="subsec1|subsec2|subsec3">
      <dl>
      <xsl:apply-templates select="subsec1|subsec2|subsec3"/>
    </dl>
    </xsl:if>
  </xsl:template>
  <xsl:template match="title" mode="text-only">
    <xsl:variable name="numstring">
      <xsl:number level="multiple" format="1.1.1.1" count="section|subsec1|subsec2|subsec3"/>
    </xsl:variable>
    <xsl:if test="$secnumbers">
      <xsl:value-of select="concat($numstring,' ')"/>
    </xsl:if>
    <a target="{$paperlabel}"><xsl:attribute name="href">
        <xsl:choose>
          <xsl:when test="./@id">
            <xsl:value-of select="concat($paperlabel,'.html#',../@id)"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="concat($paperlabel,'.html#t', $numstring)"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      <xsl:apply-templates/></a>
  </xsl:template>
  <xsl:template name="marksectitle"/>
</xsl:stylesheet>
